### Method

# Gtk InfoBarset_show_close_button

deprecated: 4.10

#### Declaration [src]

    void
    gtk_info_bar_set_show_close_button (
      GtkInfoBar* info_bar,
      gboolean setting
    )

#### Description [src]

If true, a standard close button is shown.

When clicked it emits the response `GTK_RESPONSE_CLOSE`.

Deprecated since: 4.10

Please do not use it in newly written code.

Sets property | `Gtk.InfoBar:show-close-button`

#### Parameters

`setting`

  Type: `gboolean`

  `TRUE` to include a close button.